#include "vision.h"
#include<vector>
using namespace std;
std::vector<int> getVisionPattern1d()
{
    return {1,1,1,2,1,3};
}

int getMove1d(std::vector<int> v)
{
    int c=v.size()/2;
    if(c==2)
    {
        if(v.at(0)==3)
        {
            return 0;
        }
        return 4;
    }
    if(c==3)
    {
        if(v.at(1)==2)
        {
            return 6;
        }
        return 0;
    }
    if(v.at(0)!=1)
    {
        return 0;
    }
    return 2;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
